超图so库和别的只支持armeabi-v7a的so冲突

0 投票

supermap-imobile-9.0.1-103-android-zip-chs
android studio开发 原本一切正常的
添加了萤石sdk :api 'com.hikvision.ezviz:ezviz-sdk:4.8.3'
之后 就报so库和jar包不匹配 
把萤石的库去掉 也能正常工作
先前提出的问题链接:http://ask.supermap.com/35263
后续debug发现
崩溃Environment.initialization()时 超图获取到的so库列表发生了变化
再次赋值后变化的列表没有包含超图先前读取到的'assets/ver/ver.txt'中所列的so库列表
因此导致超图so库获取失败

求解
求一个支持armeabi-v7a的超图压缩包!!

7月 30, 2018 分类:  404次浏览 | 用户: riverchiefs2018 初出茅庐 (27 分)

1个回答

0 投票
你好,目前无法提供和兼容第三方同名的jar包,建议你删除导致那个不兼容的同名文件,可以删超图的jar包或者第三方sdk中的,根据自己的功能需求而定。
7月 30, 2018 用户: 王国新 名扬四海 (1,937 分)
上面说了原因 不是因为jar同名 是因为so库列表没读取到
你好,你将超图的so文件也拷贝到armeabi-v7a文件中,由于armeabi-v7a高于armeabi版本,系统会自动高版本中的so文件的。
...